curl --request POST \
--url https://api.chainstack.com/v1/faucet/{chain} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": "0x06f0aB63eD883C61b9e4447fCbD9603dfC189662"
}
'curl --request POST \
--url https://api.chainstack.com/v1/faucet/{chain} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": "0x06f0aB63eD883C61b9e4447fCbD9603dfC189662"
}
'Chainstack API method to request Ethereum or BNB Smart Chain Testnet funds. Developers use testnet funds for various purposes, primarily to test and develop decentralized applications (DApps), smart contracts, and other blockchain-based projects within a safe and controlled environment.Documentation Index
Fetch the complete documentation index at: https://docs.chainstack.com/llms.txt
Use this file to discover all available pages before exploring further.
chain — the test network you want to receive funds on.
hoodi — receive testnet ETH on Hoodi.sepolia — receive testnet ETH on Sepolia.bnb-testnet — receive testnet BNB.amoy — receive testnet POL on Amoy testnet.ton-testnet — receive TON for TON testnet.zksync-testnet — receive testnet ETH on zkSync.scroll-sepolia-testnet — receive testnet ETH on Scroll Sepolia.https://api.chainstack.com/v1/faucet/{chain}address — the address that will receive the funds.url— the block explorer URL, including the transaction hash, to monitor the status.// npm i axios
const axios = require('axios');
// API config
const chain = 'sepolia' // goerli
const address = 'YOUR_ADDRESS';
const apiUrl = `https://api.chainstack.com/v1/faucet/${chain}`;
const apiKey = 'YOUR_CHAINSTACK_API_KEY';
const fillWallet = async () => {
console.log(`Sending faucet request for address ${address}`)
try {
const response = await axios.post(apiUrl, { address }, {
headers: {
'Authorization': `Bearer ${apiKey}`,
'Content-Type': 'application/json',
},
});
console.log('API call successful:', response.data);
} catch (error) {
console.error('Error making API call:', error.response.data);
}
// Schedule the next API call in 24 hours (24 * 60 * 60 * 1000 milliseconds)
setTimeout(makeApiCall, 24 * 60 * 60 * 1000);
};
// Make the first API call immediately
fillWallet();
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Chainstack Faucet API.
hoodi, sepolia, bnb-testnet, zksync-testnet, scroll-sepolia-testnet, amoy The recipient address.
"0x06f0aB63eD883C61b9e4447fCbD9603dfC189662"
Funds successfully sent.
Was this page helpful?